import Context from '../../context';
export default abstract class Command {
    protected abstract exec(ctx: Context, ...matches: string[]): Context | null;
    protected parameters: number[];
    protected matches: string[];
    get ready(): boolean;
    match(term: number, value: string): boolean;
    execute(ctx: Context): Context;
}
