import { control_sequence } from '../../gen/terms';
export default class Command {
    constructor() {
        this.parameters = [control_sequence, control_sequence];
        this.matches = [];
    }
    get ready() {
        return this.matches.length === this.parameters.length;
    }
    match(term, value) {
        if (this.parameters[this.matches.length] === term) {
            this.matches.push(value);
            return true;
        }
        return false;
    }
    execute(ctx) {
        return this.exec(ctx, ...this.matches) || ctx;
    }
}

//# sourceMappingURL=command.js.map
